Monitor 
========

#### API reference for Monitor endpoints and webhooks 

For how-to guidance, see the [Monitor documentation](https://plaid.com/docs/monitor/index.html.md) .

| Endpoints |  |
| --- | --- |
| [/watchlist\_screening/individual/create](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualcreate) | Create a watchlist screening for a person |
| [/watchlist\_screening/individual/get](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualget) | Retrieve an individual watchlist screening |
| [/watchlist\_screening/individual/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividuallist) | List individual watchlist screenings |
| [/watchlist\_screening/individual/update](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualupdate) | Update individual watchlist screening |
| [/watchlist\_screening/individual/history/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualhistorylist) | List history for individual watchlist screenings |
| [/watchlist\_screening/individual/review/create](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualreviewcreate) | Create a review for an individual watchlist screening |
| [/watchlist\_screening/individual/review/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualreviewlist) | List reviews for individual watchlist screenings |
| [/watchlist\_screening/individual/hit/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualhitlist) | List hits for individual watchlist screenings |
| [/watchlist\_screening/individual/program/get](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualprogramget) | Get individual watchlist screening programs |
| [/watchlist\_screening/individual/program/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningindividualprogramlist) | List individual watchlist screening programs |
| [/watchlist\_screening/entity/create](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentitycreate) | Create a watchlist screening for an entity |
| [/watchlist\_screening/entity/get](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityget) | Retrieve an entity watchlist screening |
| [/watchlist\_screening/entity/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentitylist) | List entity watchlist screenings |
| [/watchlist\_screening/entity/update](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityupdate) | Update entity watchlist screening |
| [/watchlist\_screening/entity/history/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityhistorylist) | List history for entity watchlist screenings |
| [/watchlist\_screening/entity/review/create](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityreviewcreate) | Create a review for an entity watchlist screening |
| [/watchlist\_screening/entity/review/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityreviewlist) | List reviews for entity watchlist screenings |
| [/watchlist\_screening/entity/hit/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityhitlist) | List hits for entity watchlist screenings |
| [/watchlist\_screening/entity/program/get](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityprogramget) | Get entity watchlist screening programs |
| [/watchlist\_screening/entity/program/list](https://plaid.com/docs/api/products/monitor/index.html.md#watchlist_screeningentityprogramlist) | List entity watchlist screening programs |

| See also |  |
| --- | --- |
| [/dashboard\_user/get](https://plaid.com/docs/api/kyc-aml-users/index.html.md#dashboard_userget) | Retrieve information about a dashboard user |
| [/dashboard\_user/list](https://plaid.com/docs/api/kyc-aml-users/index.html.md#dashboard_userlist) | List dashboard users |

| Webhooks |  |
| --- | --- |
| [SCREENING: STATUS\_UPDATED](https://plaid.com/docs/api/products/monitor/index.html.md#screening-status_updated) | The status of an individual watchlist screening has changed |
| [ENTITY\_SCREENING: STATUS\_UPDATED](https://plaid.com/docs/api/products/monitor/index.html.md#entity_screening-status_updated) | The status of an entity watchlist screening has changed |

### Endpoints 

\=\*=\*=\*=

#### /watchlist\_screening/individual/create 

#### Create a watchlist screening for a person 

Create a new Watchlist Screening to check your customer against watchlists defined in the associated Watchlist Program. If your associated program has ongoing screening enabled, this is the profile information that will be used to monitor your customer over time.

#### Request fields 

required, object

Search inputs for creating a watchlist screening

required, string

ID of the associated program.

required, string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

```node
const request: WatchlistScreeningIndividualCreateRequest = {
  search_terms: {
    watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
    legal_name: 'Aleksey Potemkin',
    date_of_birth: '1990-05-29',
    document_number: 'C31195855',
    country: 'US',
  },
  client_user_id: 'example-client-user-id-123',
};

try {
  const response = await client.watchlistScreeningIndividualCreate(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/create \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US"
  },
  "client_user_id": "example-client-user-id-123"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualCreateRequest.new(
  {
    search_terms: {
      watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
      legal_name: 'Aleksey Potemkin',
      date_of_birth: '1990-05-29',
      document_number: 'C31195855',
      country: 'US',
    },
    client_user_id: 'example-client-user-id-123',
  }
)
response = client.watchlist_screening_individual_create(request)

```

```java
WatchlistScreeningRequestSearchTerms searchTerms = new WatchlistScreeningRequestSearchTerms()
  .watchlistProgramId("prg_2eRPsDnL66rZ7H")
  .legalName("Aleksey Potemkin")
  .dateOfBirth("1990-05-29")
  .documentNumber("C31195855")
  .country("US");

WatchlistScreeningIndividualCreateRequest request = new WatchlistScreeningIndividualCreateRequest()
  .searchTerms(searchTerms)
  .clientUserId("example-client-user-id-123");

Response response = client()
  .watchlistScreeningIndividualCreate(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualCreateRequest(
  search_terms=WatchlistScreeningRequestSearchTerms(
    watchlist_program_id='prg_2eRPsDnL66rZ7H',
    legal_name='Aleksey Potemkin',
    date_of_birth=datetime.date(1990, 1, 1),
    document_number=WatchlistScreeningDocumentValueNullable('C31195855'),
    country=GenericCountryCodeNullable('US'),
  ),
  client_user_id=ClientUserIDNullable('example-client-user-id-123'),
)
response = client.watchlist_screening_individual_create(request)

```

```go
searchTerms := plaid.NewWatchlistScreeningRequestSearchTerms(
  "prg_2eRPsDnL66rZ7H",
  "Aleksey Potemkin",
)
searchTerms.SetDateOfBirth("1990-05-29")
searchTerms.SetDocumentNumber("C31195855")
searchTerms.SetCountry("US")

request := plaid.NewWatchlistScreeningIndividualCreateRequest(*searchTerms)
request.SetClientUserId("example-client-user-id-123")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualCreate(ctx).
  WatchlistScreeningIndividualCreateRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated screening.

object

Search terms for creating an individual watchlist screening

string

ID of the associated program.

string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "scr_52xR9LKo77r1Np",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/get 

#### Retrieve an individual watchlist screening 

Retrieve a previously created individual watchlist screening

#### Request fields 

required, string

ID of the associated screening.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

```node
const request: WatchlistScreeningIndividualGetRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualGet(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/get \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_screening_id": "scr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualGetRequest.new(
  {
    watchlist_screening_id: "scr_52xR9LKo77r1Np"
  }
)
response = client.watchlist_screening_individual_get(request)

```

```java
WatchlistScreeningIndividualGetRequest request = new WatchlistScreeningIndividualGetRequest()
  .watchlistScreeningId("scr_52xR9LKo77r1Np");

Response response = client()
  .watchlistScreeningIndividualGet(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualGetRequest(
  watchlist_screening_id='scr_52xR9LKo77r1Np',
)
response = client.watchlist_screening_individual_get(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualGetRequest("scr_52xR9LKo77r1Np")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualGet(ctx).
  WatchlistScreeningIndividualGetRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated screening.

object

Search terms for creating an individual watchlist screening

string

ID of the associated program.

string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "scr_52xR9LKo77r1Np",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/list 

#### List Individual Watchlist Screenings 

List previously created watchlist screenings for individuals

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

required, string

ID of the associated program.

string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An identifier that determines which page of results you receive.

```node
const request: WatchlistScreeningIndividualListRequest = {
  watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
  client_user_id: 'example-client-user-id-123',
};

try {
  const response = await client.watchlistScreeningIndividualList(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
  "client_user_id": "example-client-user-id-123"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualListRequest.new(
  {
    watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
    client_user_id: 'example-client-user-id-123'
  }
)

response = client.watchlist_screening_individual_list(request)

```

```java
WatchlistScreeningIndividualListRequest request = new WatchlistScreeningIndividualListRequest()
  .watchlistProgramId("prg_2eRPsDnL66rZ7H")
  .clientUserId("example-client-user-id-123");

Response response = client()
  .watchlistScreeningIndividualList(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualListRequest(
  watchlist_program_id='prg_2eRPsDnL66rZ7H',
  client_user_id=ClientUserIDNullable('example-client-user-id-123'),
)
response = client.watchlist_screening_individual_list(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualListRequest("prg_2eRPsDnL66rZ7H")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualList(ctx).
  WatchlistScreeningIndividualListRequest(*request).
  Execute()

```

#### Response fields 

\[object\]

List of individual watchlist screenings

string

ID of the associated screening.

object

Search terms for creating an individual watchlist screening

string

ID of the associated program.

string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "watchlist_screenings": [
    {
      "id": "scr_52xR9LKo77r1Np",
      "search_terms": {
        "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
        "legal_name": "Aleksey Potemkin",
        "date_of_birth": "1990-05-29",
        "document_number": "C31195855",
        "country": "US",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/update 

#### Update individual watchlist screening 

Update a specific individual watchlist screening. This endpoint can be used to add additional customer information, correct outdated information, add a reference id, assign the individual to a reviewer, and update which program it is associated with. Please note that you may not update `search_terms` and `status` at the same time since editing `search_terms` may trigger an automatic `status` change.

#### Request fields 

required, string

ID of the associated screening.

object

Search terms for editing an individual watchlist screening

string

ID of the associated program.

string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

\[string\]

A list of fields to reset back to null

Possible values: `assignee`

```node
const request: WatchlistScreeningIndividualUpdateRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
  status: 'cleared',
};

try {
  const response = await client.watchlistScreeningIndividualUpdate(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/update \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_screening_id": "scr_52xR9LKo77r1Np",
  "status": "cleared"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualUpdateRequest.new(
  {
    watchlist_screening_id: 'scr_52xR9LKo77r1Np',
    status: 'cleared'
  }
)

response = client.watchlist_screening_individual_update(request)

```

```java
WatchlistScreeningIndividualUpdateRequest request = new WatchlistScreeningIndividualUpdateRequest()
  .watchlistScreeningId("scr_52xR9LKo77r1Np")
  .status("cleared");

Response response = client()
  .watchlistScreeningIndividualUpdate(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualUpdateRequest(
  watchlist_screening_id='scr_52xR9LKo77r1Np',
  status=WatchlistScreeningStatusNullable('cleared'),
)
response = client.watchlist_screening_individual_update(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualUpdateRequest("scr_52xR9LKo77r1Np")
request.SetStatus("cleared")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualUpdate(ctx).
  WatchlistScreeningIndividualUpdateRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated screening.

object

Search terms for creating an individual watchlist screening

string

ID of the associated program.

string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "scr_52xR9LKo77r1Np",
  "search_terms": {
    "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
    "legal_name": "Aleksey Potemkin",
    "date_of_birth": "1990-05-29",
    "document_number": "C31195855",
    "country": "US",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/history/list 

#### List history for individual watchlist screenings 

List all changes to the individual watchlist screening in reverse-chronological order. If the watchlist screening has not been edited, no history will be returned.

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

required, string

ID of the associated screening.

string

An identifier that determines which page of results you receive.

```node
const request: WatchlistScreeningIndividualHistoryListRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualHistoryList(
    request,
  );
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/history/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_screening_id": "scr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualHistoryListRequest.new(
  {
    watchlist_screening_id: 'scr_52xR9LKo77r1Np'
  }
)

response = client.watchlist_screening_individual_history_list(request)

```

```java
WatchlistScreeningIndividualHistoryListRequest request = new WatchlistScreeningIndividualHistoryListRequest()
  .watchlistScreeningId("scr_52xR9LKo77r1Np");

Response response = client()
  .watchlistScreeningIndividualHistoryList(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualHistoryListRequest(
  watchlist_screening_id='scr_52xR9LKo77r1Np'
)
response = client.watchlist_screening_individual_history_list(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualHistoryListRequest("scr_52xR9LKo77r1Np")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualHistoryList(ctx).
  WatchlistScreeningIndividualHistoryListRequest(*request).
  Execute()

```

#### Response fields 

\[object\]

List of individual watchlist screenings

string

ID of the associated screening.

object

Search terms for creating an individual watchlist screening

string

ID of the associated program.

string

The legal name of the individual being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "watchlist_screenings": [
    {
      "id": "scr_52xR9LKo77r1Np",
      "search_terms": {
        "watchlist_program_id": "prg_2eRPsDnL66rZ7H",
        "legal_name": "Aleksey Potemkin",
        "date_of_birth": "1990-05-29",
        "document_number": "C31195855",
        "country": "US",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/review/create 

#### Create a review for an individual watchlist screening 

Create a review for the individual watchlist screening. Reviews are compliance reports created by users in your organization regarding the relevance of potential hits found by Plaid.

#### Request fields 

required, \[string\]

Hits to mark as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

required, \[string\]

Hits to mark as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

string

A comment submitted by a team member as part of reviewing a watchlist screening.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

required, string

ID of the associated screening.

```node
const request: WatchlistScreeningIndividualReviewCreateRequest = {
  confirmed_hits: ['scrhit_52xR9LKo77r1Np'],
  dismissed_hits: [],
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualReviewCreate(
    request,
  );
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/review/create \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "confirmed_hits": [
    "scrhit_52xR9LKo77r1Np"
  ],
  "dismissed_hits": [],
  "watchlist_screening_id": "scr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualReviewCreateRequest.new(
  {
    confirmed_hits: ['scrhit_52xR9LKo77r1Np'],
    dismissed_hits: [],
    watchlist_screening_id: "scr_52xR9LKo77r1Np",
  }
)

response = client.watchlist_screening_individual_review_create(request)

```

```java
List confirmedHits = new ArrayList();
confirmedHits.add("scr_52xR9LKo77r1Np");

List dismissedHits = new ArrayList();

WatchlistScreeningIndividualReviewCreateRequest request = new WatchlistScreeningIndividualReviewCreateRequest()
  .confirmedHits(confirmedHits)
  .dismissedHits(dismissedHits)
  .watchlistScreeningId("scr_52xR9LKo77r1Np");

Response response = client()
  .watchlistScreeningIndividualReviewCreate(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualReviewCreateRequest(
  confirmed_hits=['scrhit_52xR9LKo77r1Np'],
  dismissed_hits=[],
  watchlist_screening_id="scr_52xR9LKo77r1Np",
)
response = client.watchlist_screening_individual_review_create(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualReviewCreateRequest(
  []string{"scrhit_52xR9LKo77r1Np"},
  []string{},
  "scr_52xR9LKo77r1Np",
)

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualReviewCreate(ctx).
  WatchlistScreeningIndividualReviewCreateRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated review.

\[string\]

Hits marked as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

\[string\]

Hits marked as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

nullable, string

A comment submitted by a team member as part of reviewing a watchlist screening.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "rev_aCLNRxK3UVzn2r",
  "confirmed_hits": [
    "scrhit_52xR9LKo77r1Np"
  ],
  "dismissed_hits": [
    "scrhit_52xR9LKo77r1Np"
  ],
  "comment": "These look like legitimate matches, rejecting the customer.",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/review/list 

#### List reviews for individual watchlist screenings 

List all reviews for the individual watchlist screening.

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

required, string

ID of the associated screening.

string

An identifier that determines which page of results you receive.

```node
const request: WatchlistScreeningIndividualReviewListRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualReviewList(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/review/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_screening_id": "scr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualReviewListRequest.new(
  {
    watchlist_screening_id: 'scr_52xR9LKo77r1Np'
  }
)

response = client.watchlist_screening_individual_review_list(request)

```

```java
WatchlistScreeningIndividualReviewListRequest request = new WatchlistScreeningIndividualReviewListRequest()
  .watchlistScreeningId("scr_52xR9LKo77r1Np");

Response response = client()
  .watchlistScreeningIndividualReviewList(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualReviewListRequest(
  watchlist_screening_id='scr_52xR9LKo77r1Np',
)
response = client.watchlist_screening_individual_review_list(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualReviewListRequest("scr_52xR9LKo77r1Np")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualReviewList(ctx).
  WatchlistScreeningIndividualReviewListRequest(*request).
  Execute()

```

#### Response fields 

\[object\]

List of screening reviews

string

ID of the associated review.

\[string\]

Hits marked as a true positive after thorough manual review. These hits will never recur or be updated once confirmed. In most cases, confirmed hits indicate that the customer should be rejected.

\[string\]

Hits marked as a false positive after thorough manual review. These hits will never recur or be updated once dismissed.

nullable, string

A comment submitted by a team member as part of reviewing a watchlist screening.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "watchlist_screening_reviews": [
    {
      "id": "rev_aCLNRxK3UVzn2r",
      "confirmed_hits": [
        "scrhit_52xR9LKo77r1Np"
      ],
      "dismissed_hits": [
        "scrhit_52xR9LKo77r1Np"
      ],
      "comment": "These look like legitimate matches, rejecting the customer.",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/hit/list 

#### List hits for individual watchlist screening 

List all hits found by Plaid for a particular individual watchlist screening.

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

required, string

ID of the associated screening.

string

An identifier that determines which page of results you receive.

```node
const request: WatchlistScreeningIndividualHitListRequest = {
  watchlist_screening_id: 'scr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningIndividualHitList(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/hit/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_screening_id": "scr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualHitListRequest.new(
  {
    watchlist_screening_id: 'scr_52xR9LKo77r1Np'
  }
)

response = client.watchlist_screening_individual_hit_list(request)

```

```java
WatchlistScreeningIndividualHitListRequest request = new WatchlistScreeningIndividualHitListRequest()
  .watchlistScreeningId("scr_52xR9LKo77r1Np");

Response response = client()
  .watchlistScreeningIndividualHitList(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualHitListRequest(
  watchlist_screening_id='scr_52xR9LKo77r1Np',
)
response = client.watchlist_screening_individual_hit_list(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualHitListRequest("scr_52xR9LKo77r1Np")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualHitList(ctx).
  WatchlistScreeningIndividualHitListRequest(*request).
  Execute()

```

#### Response fields 

\[object\]

List of individual watchlist screening hits

string

ID of the associated screening hit.

string

The current state of review. All watchlist screening hits begin in a `pending_review` state but can be changed by creating a review. When a hit is in the `pending_review` state, it will always show the latest version of the watchlist data Plaid has available and be compared against the latest customer information saved in the watchlist screening. Once a hit has been marked as `confirmed` or `dismissed` it will no longer be updated so that the state is as it was when the review was first conducted.

Possible values: `confirmed`, `pending_review`, `dismissed`

string

An ISO8601 formatted timestamp.

Format: `date-time`

nullable, string

An ISO8601 formatted timestamp.

Format: `date-time`

nullable, string

An ISO8601 formatted timestamp.

Format: `date-time`

string

Shorthand identifier for a specific screening list for individuals. `AU_CON`: Australia Department of Foreign Affairs and Trade Consolidated List `CA_CON`: Government of Canada Consolidated List of Sanctions `EU_CON`: European External Action Service Consolidated List `IZ_CIA`: CIA List of Chiefs of State and Cabinet Members `IZ_IPL`: Interpol Red Notices for Wanted Persons List `IZ_PEP`: Politically Exposed Persons List `IZ_UNC`: United Nations Consolidated Sanctions `IZ_WBK`: World Bank Listing of Ineligible Firms and Individuals `UK_HMC`: UK HM Treasury Consolidated List `US_DPL`: Bureau of Industry and Security Denied Persons List `US_DTC`: US Department of State AECA Debarred `US_FBI`: US Department of Justice FBI Wanted List `US_FSE`: US OFAC Foreign Sanctions Evaders `US_ISN`: US Department of State Nonproliferation Sanctions `US_PLC`: US OFAC Palestinian Legislative Council `US_SAM`: US System for Award Management Exclusion List `US_SDN`: US OFAC Specially Designated Nationals List `US_SSI`: US OFAC Sectoral Sanctions Identifications `SG_SOF`: Government of Singapore Terrorists and Terrorist Entities `TR_TWL`: Government of Turkey Terrorist Wanted List `TR_DFD`: Government of Turkey Domestic Freezing Decisions `TR_FOR`: Government of Turkey Foreign Freezing Requests `TR_WMD`: Government of Turkey Weapons of Mass Destruction `TR_CMB`: Government of Turkey Capital Markets Board

Possible values: `AU_CON`, `CA_CON`, `EU_CON`, `IZ_CIA`, `IZ_IPL`, `IZ_PEP`, `IZ_UNC`, `IZ_WBK`, `UK_HMC`, `US_DPL`, `US_DTC`, `US_FBI`, `US_FSE`, `US_ISN`, `US_MBS`, `US_PLC`, `US_SAM`, `US_SDN`, `US_SSI`, `SG_SOF`, `TR_TWL`, `TR_DFD`, `TR_FOR`, `TR_WMD`, `TR_CMB`

string

A universal identifier for a watchlist individual that is stable across searches and updates.

nullable, string

The identifier provided by the source sanction or watchlist. When one is not provided by the source, this is `null`.

object

Analysis information describing why a screening hit matched the provided user information

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

integer

The version of the screening's `search_terms` that were compared when the screening hit was added. Screening hits are immutable once they have been reviewed. If changes are detected due to updates to the screening's `search_terms`, the associated program, or the list's source data prior to review, the screening hit will be updated to reflect those changes.

object

Information associated with the watchlist hit

\[object\]

Dates of birth associated with the watchlist hit

object

Summary object reflecting the match result of the associated data

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

object

A date range with a start and end date

string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

string

A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).

Format: `date`

\[object\]

Documents associated with the watchlist hit

object

Summary object reflecting the match result of the associated data

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

object

An official document, usually issued by a governing body or institution, with an associated identifier.

string

The kind of official document represented by this object.

`birth_certificate` - A certificate of birth

`drivers_license` - A license to operate a motor vehicle

`immigration_number` - Immigration or residence documents

`military_id` - Identification issued by a military group

`other` - Any document not covered by other categories

`passport` - An official passport issued by a government

`personal_identification` - Any generic personal identification that is not covered by other categories

`ration_card` - Identification that entitles the holder to rations

`ssn` - United States Social Security Number

`student_id` - Identification issued by an educational institution

`tax_id` - Identification issued for the purpose of collecting taxes

`travel_document` - Visas, entry permits, refugee documents, etc.

`voter_id` - Identification issued for the purpose of voting

Possible values: `birth_certificate`, `drivers_license`, `immigration_number`, `military_id`, `other`, `passport`, `personal_identification`, `ration_card`, `ssn`, `student_id`, `tax_id`, `travel_document`, `voter_id`

string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

\[object\]

Locations associated with the watchlist hit

object

Summary object reflecting the match result of the associated data

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

object

Location information for the associated individual watchlist hit

string

The full location string, potentially including elements like street, city, postal codes and country codes. Note that this is not necessarily a complete or well-formatted address.

string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

\[object\]

Names associated with the watchlist hit

object

Summary object reflecting the match result of the associated data

string

An enum indicating the match type between data provided by user and data checked against an external data source.

`match` indicates that the provided input data was a strong match against external data.

`partial_match` indicates the data approximately matched against external data. For example, "Knope" vs. "Knope-Wyatt" for last name.

`no_match` indicates that Plaid was able to perform a check against an external data source and it did not match the provided input data.

`no_data` indicates that Plaid was unable to find external data to compare against the provided input data.

`no_input` indicates that Plaid was unable to perform a check because no information was provided for this field by the end user.

Possible values: `match`, `partial_match`, `no_match`, `no_data`, `no_input`

object

Name information for the associated individual watchlist hit

string

The full name of the individual, including all parts.

boolean

Primary names are those most commonly used to refer to this person. Only one name will ever be marked as primary.

string

Names that are explicitly marked as low quality either by their `source` list, or by `plaid` by a series of additional checks done by Plaid. Plaid does not ever surface a hit as a result of a weak name alone. If a name has no quality issues, this value will be `none`.

Possible values: `none`, `source`, `plaid`

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "watchlist_screening_hits": [
    {
      "id": "scrhit_52xR9LKo77r1Np",
      "review_status": "pending_review",
      "first_active": "2020-07-24T03:26:02Z",
      "inactive_since": "2020-07-24T03:26:02Z",
      "historical_since": "2020-07-24T03:26:02Z",
      "list_code": "US_SDN",
      "plaid_uid": "uid_3NggckTimGSJHS",
      "source_uid": "26192ABC",
      "analysis": {
        "dates_of_birth": "match",
        "documents": "match",
        "locations": "match",
        "names": "match",
        "search_terms_version": 1
      },
      "data": {
        "dates_of_birth": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "beginning": "1990-05-29",
              "ending": "1990-05-29"
            }
          }
        ],
        "documents": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "type": "passport",
              "number": "C31195855"
            }
          }
        ],
        "locations": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "full": "Florida, US",
              "country": "US"
            }
          }
        ],
        "names": [
          {
            "analysis": {
              "summary": "match"
            },
            "data": {
              "full": "Aleksey Potemkin",
              "is_primary": false,
              "weak_alias_determination": "none"
            }
          }
        ]
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/program/get 

#### Get individual watchlist screening program 

Get an individual watchlist screening program

#### Request fields 

required, string

ID of the associated program.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

```node
const request: WatchlistScreeningIndividualProgramGetRequest = {
  watchlist_program_id: 'prg_2eRPsDnL66rZ7H',
};

try {
  const response = await client.watchlistScreeningIndividualProgramGet(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/program/get \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "watchlist_program_id": "prg_2eRPsDnL66rZ7H"
}'

```

```ruby
request = Plaid::WatchlistScreeningIndividualProgramGetRequest.new(
  {
    watchlist_program_id: 'prg_2eRPsDnL66rZ7H'
  }
)

response = client.watchlist_screening_individual_program_get(request)

```

```java
WatchlistScreeningIndividualProgramGetRequest request = new WatchlistScreeningIndividualProgramGetRequest()
  .watchlistProgramId("prg_2eRPsDnL66rZ7H");

Response response = client()
  .watchlistScreeningIndividualProgramGet(request)
  .execute();

```

```python
request = WatchlistScreeningIndividualProgramGetRequest(
  watchlist_program_id='prg_2eRPsDnL66rZ7H',
)
response = client.watchlist_screening_individual_program_get(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualProgramGetRequest("prg_2eRPsDnL66rZ7H")

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualProgramGet(ctx).
  WatchlistScreeningIndividualProgramGetRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated program.

string

An ISO8601 formatted timestamp.

Format: `date-time`

boolean

Indicator specifying whether the program is enabled and will perform daily rescans.

\[string\]

Watchlists enabled for the associated program

Possible values: `AU_CON`, `CA_CON`, `EU_CON`, `IZ_CIA`, `IZ_IPL`, `IZ_PEP`, `IZ_UNC`, `IZ_WBK`, `UK_HMC`, `US_DPL`, `US_DTC`, `US_FBI`, `US_FSE`, `US_ISN`, `US_MBS`, `US_PLC`, `US_SAM`, `US_SDN`, `US_SSI`, `SG_SOF`, `TR_TWL`, `TR_DFD`, `TR_FOR`, `TR_WMD`, `TR_CMB`

string

A name for the program to define its purpose. For example, "High Risk Individuals", "US Cardholders", or "Applicants".

string

The valid name matching sensitivity configurations for a screening program. Note that while certain matching techniques may be more prevalent on less strict settings, all matching algorithms are enabled for every sensitivity.

`coarse` - See more potential matches. This sensitivity will see more broad phonetic matches across alphabets that make missing a potential hit very unlikely. This setting is noisier and will require more manual review.

`balanced` - A good default for most companies. This sensitivity is balanced to show high quality hits with reduced noise.

`strict` - Aggressive false positive reduction. This sensitivity will require names to be more similar than `coarse` and `balanced` settings, relying less on phonetics, while still accounting for character transpositions, missing tokens, and other common permutations.

`exact` - Matches must be nearly exact. This sensitivity will only show hits with exact or nearly exact name matches with only basic correction such as extraneous symbols and capitalization. This setting is generally not recommended unless you have a very specific use case.

Possible values: `coarse`, `balanced`, `strict`, `exact`

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

boolean

Archived programs are read-only and cannot screen new customers nor participate in ongoing monitoring.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "prg_2eRPsDnL66rZ7H",
  "created_at": "2020-07-24T03:26:02Z",
  "is_rescanning_enabled": true,
  "lists_enabled": [
    "US_SDN"
  ],
  "name": "Sample Program",
  "name_sensitivity": "balanced",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "is_archived": false,
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/individual/program/list 

#### List individual watchlist screening programs 

List all individual watchlist screening programs

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

An identifier that determines which page of results you receive.

```node
try {
  const response = await client.watchlistScreeningIndividualProgramList({});
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/individual/program/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}"
}'

```

```ruby
response = client.watchlist_screening_individual_program_list({})

```

```java
Response response = client()
  .watchlistScreeningIndividualProgramList(new Object())
  .execute();

```

```python
request = WatchlistScreeningIndividualProgramListRequest(
  cursor='eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM'
)
response = client.watchlist_screening_individual_program_list(request)

```

```go
request := plaid.NewWatchlistScreeningIndividualProgramListRequest()

response, _, err := client.PlaidApi.
  WatchlistScreeningIndividualProgramList(ctx).
  WatchlistScreeningIndividualProgramListRequest(*request).
  Execute()

```

#### Response fields 

\[object\]

List of individual watchlist screening programs

string

ID of the associated program.

string

An ISO8601 formatted timestamp.

Format: `date-time`

boolean

Indicator specifying whether the program is enabled and will perform daily rescans.

\[string\]

Watchlists enabled for the associated program

Possible values: `AU_CON`, `CA_CON`, `EU_CON`, `IZ_CIA`, `IZ_IPL`, `IZ_PEP`, `IZ_UNC`, `IZ_WBK`, `UK_HMC`, `US_DPL`, `US_DTC`, `US_FBI`, `US_FSE`, `US_ISN`, `US_MBS`, `US_PLC`, `US_SAM`, `US_SDN`, `US_SSI`, `SG_SOF`, `TR_TWL`, `TR_DFD`, `TR_FOR`, `TR_WMD`, `TR_CMB`

string

A name for the program to define its purpose. For example, "High Risk Individuals", "US Cardholders", or "Applicants".

string

The valid name matching sensitivity configurations for a screening program. Note that while certain matching techniques may be more prevalent on less strict settings, all matching algorithms are enabled for every sensitivity.

`coarse` - See more potential matches. This sensitivity will see more broad phonetic matches across alphabets that make missing a potential hit very unlikely. This setting is noisier and will require more manual review.

`balanced` - A good default for most companies. This sensitivity is balanced to show high quality hits with reduced noise.

`strict` - Aggressive false positive reduction. This sensitivity will require names to be more similar than `coarse` and `balanced` settings, relying less on phonetics, while still accounting for character transpositions, missing tokens, and other common permutations.

`exact` - Matches must be nearly exact. This sensitivity will only show hits with exact or nearly exact name matches with only basic correction such as extraneous symbols and capitalization. This setting is generally not recommended unless you have a very specific use case.

Possible values: `coarse`, `balanced`, `strict`, `exact`

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

boolean

Archived programs are read-only and cannot screen new customers nor participate in ongoing monitoring.

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "watchlist_programs": [
    {
      "id": "prg_2eRPsDnL66rZ7H",
      "created_at": "2020-07-24T03:26:02Z",
      "is_rescanning_enabled": true,
      "lists_enabled": [
        "US_SDN"
      ],
      "name": "Sample Program",
      "name_sensitivity": "balanced",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      },
      "is_archived": false
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/entity/create 

#### Create a watchlist screening for an entity 

Create a new entity watchlist screening to check your customer against watchlists defined in the associated entity watchlist program. If your associated program has ongoing screening enabled, this is the profile information that will be used to monitor your customer over time.

#### Request fields 

required, object

Search inputs for creating an entity watchlist screening

required, string

ID of the associated entity program.

required, string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

string

A phone number in E.164 format.

string

An 'http' or 'https' URL (must begin with either of those).

Format: `uri`

string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

```node
const request: WatchlistScreeningEntityCreateRequest = {
  search_terms: {
    entity_watchlist_program_id: 'entprg_2eRPsDnL66rZ7H',
    legal_name: 'Example Screening Entity',
    document_number: 'C31195855',
    email_address: 'user@example.com',
    country: 'US',
    phone_number: '+14025671234',
    url: 'https://example.com',
  },
  client_user_id: 'example-client-user-id-123',
};

try {
  const response = await client.watchlistScreeningEntityCreate(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/entity/create \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Example Screening Entity",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com"
  },
  "client_user_id": "example-client-user-id-123"
}'

```

```ruby
request = Plaid::WatchlistScreeningEntityCreateRequest.new(
  {
    search_terms: {
      entity_watchlist_program_id: 'entprg_2eRPsDnL66rZ7H',
      legal_name: 'Example Screening Entity',
      document_number: 'C31195855',
      email_address: 'user@example.com',
      country: 'US',
      phone_number: '+14025671234',
      url: 'https://example.com',
    },
    client_user_id: 'example-client-user-id-123',
  }
)

response = client.watchlist_screening_entity_create(request)

```

```java
EntityWatchlistScreeningSearchTerms searchTerms = new EntityWatchlistScreeningSearchTerms()
  .entityWatchlistProgramId("entprg_2eRPsDnL66rZ7H")
  .legalName("Example Screening Entity")
  .emailAddress("user@example.com")
  .documentNumber("C31195855")
  .country("US")
  .phoneNumber("+14025671234")
  .url("https://example.com");

WatchlistScreeningEntityCreateRequest request = new WatchlistScreeningEntityCreateRequest()
  .searchTerms(searchTerms)
  .clientUserId("example-client-user-id-123");

Response response = client()
  .watchlistScreeningEntityCreate(request)
  .execute();

```

```python
request = WatchlistScreeningEntityCreateRequest(
  search_terms=EntityWatchlistSearchTerms(
    entity_watchlist_program_id='entprg_2eRPsDnL66rZ7H',
    legal_name='Example Screening Entity',
    document_number=WatchlistScreeningDocumentValueNullable('C31195855'),
    email_address='user@example.com',
    country=GenericCountryCodeNullable('US'),
    phone_number=WatchlistScreeningPhoneNumberNullable('+14025671234'),
    url='https://example.com',
  ),
  client_user_id=ClientUserIDNullable('example-client-user-id-123')
)
response = client.watchlist_screening_entity_create(request)

```

```go
searchTerms := plaid.NewEntityWatchlistSearchTerms(
  "entprg_2eRPsDnL66rZ7H",
  "Example Screening Entity",
)
searchTerms.SetEmailAddress("user@example.com")
searchTerms.SetPhoneNumber("+14025671234")
searchTerms.SetDocumentNumber("C31195855")
searchTerms.SetUrl("https://example.com")
searchTerms.SetCountry("US")

request := plaid.NewWatchlistScreeningEntityCreateRequest(*searchTerms)
request.SetClientUserId("example-client-user-id-123")

response, _, err := client.PlaidApi.
  WatchlistScreeningEntityCreate(ctx).
  WatchlistScreeningEntityCreateRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated entity screening.

object

Search terms associated with an entity used for searching against watchlists

string

ID of the associated entity program.

string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

nullable, string

A phone number in E.164 format.

nullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: `uri`

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "entscr_52xR9LKo77r1Np",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Al-Qaida",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/entity/get 

#### Get an entity screening 

Retrieve an entity watchlist screening.

#### Request fields 

required, string

ID of the associated entity screening.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

```node
const request: WatchlistScreeningEntityGetRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityGet(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/entity/get \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "entity_watchlist_screening_id": "entscr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningEntityGetRequest.new(
  {
    entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np'
  }
)

response = client.watchlist_screening_entity_get(request)

```

```java
WatchlistScreeningEntityGetRequest request = new WatchlistScreeningEntityGetRequest()
  .entityWatchlistScreeningId("entscr_52xR9LKo77r1Np");

Response response = client()
  .watchlistScreeningEntityGet(request)
  .execute();

```

```python
request = WatchlistScreeningEntityGetRequest(
  entity_watchlist_screening_id='entscr_52xR9LKo77r1Np',
)
response = client.watchlist_screening_entity_get(request)

```

```go
request := plaid.NewWatchlistScreeningEntityGetRequest("entscr_52xR9LKo77r1Np")

response, _, err := client.PlaidApi.
  WatchlistScreeningEntityGet(ctx).
  WatchlistScreeningEntityGetRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated entity screening.

object

Search terms associated with an entity used for searching against watchlists

string

ID of the associated entity program.

string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

nullable, string

A phone number in E.164 format.

nullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: `uri`

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "entscr_52xR9LKo77r1Np",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Al-Qaida",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/entity/list 

#### List entity watchlist screenings 

List all entity screenings.

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

required, string

ID of the associated entity program.

string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An identifier that determines which page of results you receive.

```node
const request: WatchlistScreeningEntityListRequest = {
  entity_watchlist_program_id: 'entprg_2eRPsDnL66rZ7H',
};

try {
  const response = await client.watchlistScreeningEntityList(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/entity/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H"
}'

```

```ruby
request = Plaid::WatchlistScreeningEntityListRequest.new(
  {
    entity_watchlist_program_id: 'entprg_2eRPsDnL66rZ7H'
  }
)

response = client.watchlist_screening_entity_list(request)

```

```java
WatchlistScreeningEntityListRequest request = new WatchlistScreeningEntityListRequest()
  .entityWatchlistProgramId("entprg_2eRPsDnL66rZ7H");

Response response = client()
  .watchlistScreeningEntityList(request)
  .execute();

```

```python
request = WatchlistScreeningEntityListRequest(
  entity_watchlist_program_id='entprg_2eRPsDnL66rZ7H'
)
response = client.watchlist_screening_entity_list(request)

```

```go
request := plaid.NewWatchlistScreeningEntityListRequest("entprg_2eRPsDnL66rZ7H")

response, _, err := client.PlaidApi.
  WatchlistScreeningEntityList(ctx).
  WatchlistScreeningEntityListRequest(*request).
  Execute()

```

#### Response fields 

\[object\]

List of entity watchlist screening

string

ID of the associated entity screening.

object

Search terms associated with an entity used for searching against watchlists

string

ID of the associated entity program.

string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

nullable, string

A phone number in E.164 format.

nullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: `uri`

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

nullable, string

An identifier that determines which page of results you receive.

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "entity_watchlist_screenings": [
    {
      "id": "entscr_52xR9LKo77r1Np",
      "search_terms": {
        "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
        "legal_name": "Al-Qaida",
        "document_number": "C31195855",
        "email_address": "user@example.com",
        "country": "US",
        "phone_number": "+14025671234",
        "url": "https://example.com",
        "version": 1
      },
      "assignee": "54350110fedcbaf01234ffee",
      "status": "cleared",
      "client_user_id": "your-db-id-3b24110",
      "audit_trail": {
        "source": "dashboard",
        "dashboard_user_id": "54350110fedcbaf01234ffee",
        "timestamp": "2020-07-24T03:26:02Z"
      }
    }
  ],
  "next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/entity/update 

#### Update an entity screening 

Update an entity watchlist screening.

#### Request fields 

required, string

ID of the associated entity screening.

object

Search terms for editing an entity watchlist screening

required, string

ID of the associated entity program.

string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

string

A phone number in E.164 format.

string

An 'http' or 'https' URL (must begin with either of those).

Format: `uri`

string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

\[string\]

A list of fields to reset back to null

Possible values: `assignee`

```node
const request: WatchlistScreeningEntityUpdateRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
  status: 'cleared',
};

try {
  const response = await client.watchlistScreeningEntityUpdate(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/entity/update \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "entity_watchlist_screening_id": "entscr_52xR9LKo77r1Np",
  "status": "cleared"
}'

```

```ruby
request = Plaid::WatchlistScreeningEntityUpdateRequest.new(
  {
    entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
    status: 'cleared'
  }
)

response = client.watchlist_screening_entity_update(request)

```

```java
WatchlistScreeningEntityUpdateRequest request = new WatchlistScreeningEntityUpdateRequest()
  .entityWatchlistScreeningId("entscr_52xR9LKo77r1Np")
  .status("cleared");

Response response = client()
  .watchlistScreeningEntityUpdate(request)
  .execute();

```

```python
request = WatchlistScreeningEntityUpdateRequest(
  entity_watchlist_screening_id='entscr_52xR9LKo77r1Np',
  status=WatchlistScreeningStatusNullable('cleared'),
)
response = client.watchlist_screening_entity_update(request)

```

```go
request := plaid.NewWatchlistScreeningEntityUpdateRequest("entscr_52xR9LKo77r1Np")
request.SetStatus(plaid.WATCHLISTSCREENINGSTATUS_CLEARED)

response, _, err := client.PlaidApi.
  WatchlistScreeningEntityUpdate(ctx).
  WatchlistScreeningEntityUpdateRequest(*request).
  Execute()

```

#### Response fields 

string

ID of the associated entity screening.

object

Search terms associated with an entity used for searching against watchlists

string

ID of the associated entity program.

string

The name of the organization being screened. Must have at least one alphabetical character, have a maximum length of 100 characters, and not include leading or trailing spaces.

nullable, string

The numeric or alphanumeric identifier associated with this document. Must be between 4 and 32 characters long, and cannot have leading or trailing spaces.

nullable, string

A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see [RFC 3696](https://datatracker.ietf.org/doc/html/rfc3696) .

Format: `email`

nullable, string

Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.

nullable, string

A phone number in E.164 format.

nullable, string

An 'http' or 'https' URL (must begin with either of those).

Format: `uri`

integer

The current version of the search terms. Starts at `1` and increments with each edit to `search_terms`.

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

A status enum indicating whether a screening is still pending review, has been rejected, or has been cleared.

Possible values: `rejected`, `pending_review`, `cleared`

nullable, string

A unique ID that identifies the end user in your system. Either a `user_id` or the `client_user_id` must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the `/link/token/create` `client_user_id` to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the `client_user_id`.

object

Information about the last change made to the parent object specifying what caused the change as well as when it occurred.

string

A type indicating whether a dashboard user, an API-based user, or Plaid last touched this object.

Possible values: `dashboard`, `link`, `api`, `system`

nullable, string

ID of the associated user. To retrieve the email address or other details of the person corresponding to this ID, use `/dashboard_user/get`.

string

An ISO8601 formatted timestamp.

Format: `date-time`

string

A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

Response Object

```json
{
  "id": "entscr_52xR9LKo77r1Np",
  "search_terms": {
    "entity_watchlist_program_id": "entprg_2eRPsDnL66rZ7H",
    "legal_name": "Al-Qaida",
    "document_number": "C31195855",
    "email_address": "user@example.com",
    "country": "US",
    "phone_number": "+14025671234",
    "url": "https://example.com",
    "version": 1
  },
  "assignee": "54350110fedcbaf01234ffee",
  "status": "cleared",
  "client_user_id": "your-db-id-3b24110",
  "audit_trail": {
    "source": "dashboard",
    "dashboard_user_id": "54350110fedcbaf01234ffee",
    "timestamp": "2020-07-24T03:26:02Z"
  },
  "request_id": "saKrIBuEB9qJZng"
}
```

\=\*=\*=\*=

#### /watchlist\_screening/entity/history/list 

#### List history for entity watchlist screenings 

List all changes to the entity watchlist screening in reverse-chronological order. If the watchlist screening has not been edited, no history will be returned.

#### Request fields 

string

Your Plaid API `secret`. The `secret` is required and may be provided either in the `PLAID-SECRET` header or as part of a request body.

string

Your Plaid API `client_id`. The `client_id` is required and may be provided either in the `PLAID-CLIENT-ID` header or as part of a request body.

required, string

ID of the associated entity screening.

string

An identifier that determines which page of results you receive.

```node
const request: WatchlistScreeningEntityHistoryListRequest = {
  entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np',
};

try {
  const response = await client.watchlistScreeningEntityHistoryList(request);
} catch (error) {
  // handle error
}

```

```bash
curl -X POST https://sandbox.plaid.com/watchlist_screening/entity/history/list \
-H 'Content-Type: application/json' \
-d '{
  "client_id": "${PLAID_CLIENT_ID}",
  "secret": "${PLAID_SECRET}",
  "entity_watchlist_screening_id": "entscr_52xR9LKo77r1Np"
}'

```

```ruby
request = Plaid::WatchlistScreeningEntityHistoryListRequest.new(
  {
    entity_watchlist_screening_id: 'entscr_52xR9LKo77r1Np'
  }
)

response = client.watchlist_screening_entity_history_list(request)

```

```java
[...]
